#pragma once

#define CORNERS_PER_PART 3
#define LEDS_PER_CORNER 2

// Layout definition
// Every node has EDGES_PER_PART corners and edges.
// The edge the signal comes in is edge number 0.
// All other edges are numbered counter-clockwise.
// LAYOUT contains a list of edges the signal takes.
// First node is implied.

// Examples, assuming EDGES_PER_PART == 3:
// Example: Nodes arranged in a circle: {1, 2, 2, 2, 2}
// Example: Nodes arranged in a line: {1, 2, 1, 2, 1, 2}
#define NODE_COUNT 3
#define LAYOUT {2, 1}

#define LED_COUNT NODE_COUNT * CORNERS_PER_PART * LEDS_PER_CORNER